#include "hw_eth.h"
#include "system.h"

void cs_sd_activate(void)
{
	// /CS fr ENC deaktivieren
	PORTB |= (1 << 5);
	// /CS fr SD-Karte aktivieren
	PORTB &= ~(1 << 4);
}

void cs_sd_deactivate(void)
{
	// /CS fr SD-Karte deaktivieren
	PORTB |= (1 << 4);
	// /CS fr ENC aktivieren
	PORTB &= ~(1 << 5);
}
	

void init_hardware_eth(void)
{
  DDRA=0xFF;      // outputs 1-8
  PORTA=0x00;

	DDRB |= 0x37;
	PORTB |= (1<<0);
	DDRB |= (1<<6);		//Reset des ENC
	PORTB |= (1<<6);

  DDRE=0x1C;
  PORTE=0x00;   
  sbi(PORTE,2);// led rt 
  sbi(PORTE,3);// led rt
  sbi(PORTE,4);// led rt
  sbi(PORTE,7);    // pullup in5
  DDRF=0x00;       // HEX switches

	DDRD = 0x00;

  DDRG=0xFF;      
  PORTG=0x07;
}

