/****************************************************
  Modul:          hw_eth1.h
  Funktion:       definitionen fr eth-canopen board

  Umgebung:       GCC V3.4.6
  Target:         AT90MEGA128CAN

  Startdatum:     
  Autor:          
****************************************************/
#ifndef _hw_eth_h_included
#define _hw_eth_h_included




void init_hardware_eth(void);
void cs_sd_activate(void);
void cs_sd_deactivate(void);

#define HEX_SW            ((PINF&0xf0)|(PINF&0x0f))

#define OUTPUTS_L(val)    PORTA=(val)
#define OUTPUTS_H(val)    PORTC=(val)

#define LED_GN(on)        (on) ? (PORTE&=~0x08) : (PORTE|=0x08)
#define LED_GE(on)        (on) ? (PORTE&=~0x10) : (PORTE|=0x10)
#define LED_RT(on)        (on) ? (PORTE&=~0x04) : (PORTE|=0x04)



#endif





