/*! \file "dir.h" \brief Directory-Definitions */
///	\ingroup singlefat
//#########################################################################
//
// Benutzung auf eigene Gefahr !
//
// Use at your own risk !
//
//#########################################################################
// Last change: 25.08.2007
//#########################################################################
// Compiler: AVR-GCC 4.1.1
//#########################################################################
//@{

#ifndef __DIR_H
#define __DIR_H

extern U8 Mkdir(char *name);
extern U8 Chdir(char *name);
extern U8 MakeNewFileEntry(void);
extern U8 UpdateFileEntry(void);
extern U8 ScanOneDirectorySector(U32 sector, char *name);
//extern U16 DOSTime(void);
//extern U16 DOSDate(void);

#ifdef USE_FAT32
// extern U8 SearchFreeDirentry(void);
 extern U8 ScanDirectory(char *name);
#else
// extern U8 SearchFreeDirentry(void);
 extern U8 ScanDirectory(char *name);
#endif

extern U8 SearchDirSector(U32 sector);
extern void MakeDirEntryName(char *inname);
extern void ZeroCluster(U32 startsector);

#ifdef USE_FAT32
 extern U32 FirstDirCluster;
#else
 extern U16 FirstDirCluster;
#endif

#endif //__DIR_H
//@}
