#ifndef GLOBAL_H_
#define GLOBAL_H_

#include "system.h"
#include "app_inc.h"
#include "eeprom.h"

#define F_CPU		16000000
extern uint16_t timecount;



/************************************************
	Dies muss ausgelagert werden 
************************************************/

	static uint8_t eeData[]	EEMEM = {[EE_IP0] = 192, [EE_IP1] = 168, [EE_IP2] = 0, [EE_IP3] = 110, [EE_HOSTIP0] = 192, [EE_HOSTIP1] = 168, [EE_HOSTIP2] = 0, [EE_HOSTIP3] = 254,[EE_NETMASK0] = 255, [EE_NETMASK1] = 255, [EE_NETMASK2] = 255, [EE_NETMASK3] = 0 };

/***********************************************/



//Ethernet MAC
#define ENC28J60_MAXFRAME	500	//maximum frame len (bytes)
#define ENC28J60_MAC1			0x00
#define ENC28J60_MAC2			0x03
#define ENC28J60_MAC3			0x6F
#define ENC28J60_MAC4			0x55
#define ENC28J60_MAC5			0x1C
#define ENC28J60_MAC6			0xC2
//Etnernet IP
#define ENC28J60_IP1		eeprom_read_byte((unsigned char *)EE_IP0)
#define ENC28J60_IP2		eeprom_read_byte((unsigned char *)EE_IP1)
#define ENC28J60_IP3		eeprom_read_byte((unsigned char *)EE_IP2)
#define ENC28J60_IP4		eeprom_read_byte((unsigned char *)EE_IP3)
//Etnernet Host IP                 
#define ENC28J60_HIP1		eeprom_read_byte((unsigned char *)EE_HOSTIP0)
#define ENC28J60_HIP2		eeprom_read_byte((unsigned char *)EE_HOSTIP1)
#define ENC28J60_HIP3		eeprom_read_byte((unsigned char *)EE_HOSTIP2)
#define ENC28J60_HIP4		eeprom_read_byte((unsigned char *)EE_HOSTIP3)
//Etnernet Netmask                 
#define ENC28J60_NM1		eeprom_read_byte((unsigned char *)EE_NETMASK0)
#define ENC28J60_NM2		eeprom_read_byte((unsigned char *)EE_NETMASK1)
#define ENC28J60_NM3		eeprom_read_byte((unsigned char *)EE_NETMASK2)
#define ENC28J60_NM4		eeprom_read_byte((unsigned char *)EE_NETMASK3)






#endif /*GLOBAL_H_*/