#ifndef STRINGLIB_H_
#define STRINGLIB_H_


#ifdef DEBUG_TEXT
//main.c Standart-Debug Ausgaben
const char device_start[] PROGMEM = "Initalisiere Schaltung:";
const char spi_start[] PROGMEM = "Aktiviere SPI...";
const char sdparser_start[] PROGMEM = "SD Karten Zugriff...";
const char eth_start[] PROGMEM = "Aktiviere Ethernet Baustein...";
const char uip_start[] PROGMEM = "UIP initialisieren...";
const char arp_start[] PROGMEM = "UIP ARP initialisieren...";
const char eth_eeprom_start[] PROGMEM = "Standartnetzwerkeinstellungen von EEPROM lesen...";
const char eth_status[] PROGMEM = "ENC28j60 konfiguriert mit:";
const char eth_status_ip[] PROGMEM = "IP:\r\r\r";
const char eth_status_hostip[] PROGMEM = "HOST IP:\r\r\r";
const char eth_status_netmask[] PROGMEM = "NETMASK:\r\r\r";
const char eth_status_ports[] PROGMEM = "Ports geffnet...";
const char eth_message_rcv[] PROGMEM = "Daten von ENC28j60 empfangen...";
#endif


#ifdef HTTP_TEXT
//http.h HTML Strukturen und Header
const char html_response_ok[] PROGMEM = "HTTP/1.0 200 Document follows\r\nServer: avrKRONES\r\nContent-Type: ";
const char html_response_404[] PROGMEM = "HTTP/1.0 404 not found\r\nServer: avrKRONES\r\nContent-Type: text/html\r\n%END";
const char html_response_end[] PROGMEM = "\r\n%END";
const char html_ctype_html[] PROGMEM = "text/html";
const char html_ctype_bmp[] PROGMEM = "image/bmp";
const char html_ctype_jpg[] PROGMEM = "image/jpeg";
const char html_ctype_gif[] PROGMEM = "image/gif";
//const char html_response_login[] PROGMEM = "<html><head><title>Login</title></head><body><h1>Bitte einloggen</h1><form action=\"ipadresse\">  <table border="0" cellpadding="5" cellspacing="0" bgcolor=\"#E0E0E0\"><tr>      <td align=\"left\">Benutzer:</td>      <td><input name=\"Benutzer\" type=\"text\" size=\"30\" maxlength=\"30\"></td>    </tr>    <tr>      <td align=\"left\">Passwort:</td><td><input name=\"Passowrt\" type=\"password\" size=\"30\" maxlength=\"40\"></td></tr><tr><td><input type=\"submit\" value=\" Einloggen\"><input type=\"reset\" value=\" Abbrechen\"></td></tr></table></form></body></html>";
#endif

#ifdef HTTP_IMAGE
const uint8_t gif_krones_logo[] PROGMEM = {
0x47,0x49,0x46,0x38,0x39,0x61,0x82,0x00,0x28,0x00,0xF7,0x00,0x00,0x00,0x33,0x66,
0x01,0x34,0x67,0x02,0x35,0x67,0x03,0x35,0x68,0x04,0x36,0x68,0x05,0x37,0x69,0x06,
0x38,0x6A,0x07,0x39,0x6A,0x08,0x39,0x6B,0x09,0x3A,0x6B,0x0A,0x3B,0x6C,0x0B,0x3C,
0x6D,0x0C,0x3D,0x6D,0x0D,0x3D,0x6E,0x0E,0x3E,0x6E,0x0F,0x3F,0x6F,0x10,0x40,0x70,
0x11,0x41,0x70,0x12,0x41,0x71,0x13,0x42,0x71,0x14,0x43,0x72,0x15,0x44,0x73,0x16,
0x45,0x73,0x17,0x45,0x74,0x18,0x46,0x74,0x19,0x47,0x75,0x1A,0x48,0x76,0x1B,0x49,
0x76,0x1C,0x49,0x77,0x1E,0x4B,0x78,0x1F,0x4C,0x79,0x20,0x4D,0x79,0x21,0x4D,0x7A,
0x22,0x4E,0x7A,0x23,0x4F,0x7B,0x24,0x50,0x7C,0x26,0x51,0x7D,0x27,0x52,0x7D,0x28,
0x53,0x7E,0x29,0x54,0x7F,0x2B,0x55,0x80,0x2C,0x56,0x80,0x2F,0x59,0x82,0x30,0x59,
0x83,0x32,0x5B,0x84,0x33,0x5C,0x85,0x35,0x5D,0x86,0x36,0x5E,0x86,0x37,0x5F,0x87,
0x38,0x60,0x88,0x39,0x61,0x88,0x3A,0x61,0x89,0x3B,0x62,0x89,0x3C,0x63,0x8A,0x3D,
0x64,0x8B,0x3E,0x65,0x8B,0x3F,0x65,0x8C,0x40,0x66,0x8C,0x41,0x67,0x8D,0x42,0x68,
0x8E,0x43,0x69,0x8E,0x44,0x69,0x8F,0x45,0x6A,0x8F,0x46,0x6B,0x90,0x47,0x6C,0x91,
0x48,0x6D,0x91,0x49,0x6D,0x92,0x4A,0x6E,0x92,0x4B,0x6F,0x93,0x4C,0x70,0x94,0x4D,
0x71,0x94,0x4E,0x71,0x95,0x4F,0x72,0x95,0x51,0x74,0x97,0x52,0x75,0x97,0x53,0x75,
0x98,0x54,0x76,0x98,0x55,0x77,0x99,0x56,0x78,0x9A,0x57,0x79,0x9A,0x58,0x79,0x9B,
0x59,0x7A,0x9B,0x5A,0x7B,0x9C,0x5B,0x7C,0x9D,0x5D,0x7D,0x9E,0x5E,0x7E,0x9E,0x60,
0x80,0xA0,0x61,0x81,0xA0,0x62,0x81,0xA1,0x63,0x82,0xA1,0x64,0x83,0xA2,0x65,0x84,
0xA3,0x66,0x85,0xA3,0x67,0x85,0xA4,0x68,0x86,0xA4,0x69,0x87,0xA5,0x6A,0x88,0xA6,
0x6B,0x89,0xA6,0x6C,0x89,0xA7,0x6E,0x8B,0xA8,0x6F,0x8C,0xA9,0x70,0x8D,0xA9,0x71,
0x8D,0xAA,0x72,0x8E,0xAA,0x73,0x8F,0xAB,0x74,0x90,0xAC,0x75,0x91,0xAC,0x76,0x91,
0xAD,0x77,0x92,0xAD,0x78,0x93,0xAE,0x79,0x94,0xAF,0x7C,0x96,0xB0,0x7E,0x98,0xB2,
0x7F,0x99,0xB2,0x80,0x99,0xB3,0x81,0x9A,0xB3,0x82,0x9B,0xB4,0x83,0x9C,0xB5,0x84,
0x9D,0xB5,0x85,0x9D,0xB6,0x86,0x9E,0xB6,0x87,0x9F,0xB7,0x89,0xA1,0xB8,0x8A,0xA1,
0xB9,0x8B,0xA2,0xB9,0x8C,0xA3,0xBA,0x8D,0xA4,0xBB,0x8E,0xA5,0xBB,0x90,0xA6,0xBC,
0x91,0xA7,0xBD,0x92,0xA8,0xBE,0x93,0xA9,0xBE,0x94,0xA9,0xBF,0x95,0xAA,0xBF,0x97,
0xAC,0xC1,0x99,0xAD,0xC2,0x9A,0xAE,0xC2,0x9B,0xAF,0xC3,0x9C,0xB0,0xC4,0x9D,0xB1,
0xC4,0x9E,0xB1,0xC5,0x9F,0xB2,0xC5,0xA0,0xB3,0xC6,0xA1,0xB4,0xC7,0xA2,0xB5,0xC7,
0xA3,0xB5,0xC8,0xA4,0xB6,0xC8,0xA5,0xB7,0xC9,0xA7,0xB9,0xCA,0xA8,0xB9,0xCB,0xA9,
0xBA,0xCB,0xAA,0xBB,0xCC,0xAB,0xBC,0xCD,0xAC,0xBD,0xCD,0xAD,0xBD,0xCE,0xAE,0xBE,
0xCE,0xAF,0xBF,0xCF,0xB0,0xC0,0xD0,0xB1,0xC1,0xD0,0xB2,0xC1,0xD1,0xB3,0xC2,0xD1,
0xB4,0xC3,0xD2,0xB5,0xC4,0xD3,0xB6,0xC5,0xD3,0xB7,0xC5,0xD4,0xB8,0xC6,0xD4,0xB9,
0xC7,0xD5,0xBA,0xC8,0xD6,0xBB,0xC9,0xD6,0xBC,0xC9,0xD7,0xBD,0xCA,0xD7,0xBE,0xCB,
0xD8,0xBF,0xCC,0xD9,0xC0,0xCD,0xD9,0xC1,0xCD,0xDA,0xC2,0xCE,0xDA,0xC3,0xCF,0xDB,
0xC4,0xD0,0xDC,0xC5,0xD1,0xDC,0xC6,0xD1,0xDD,0xC7,0xD2,0xDD,0xC8,0xD3,0xDE,0xC9,
0xD4,0xDF,0xCA,0xD5,0xDF,0xCB,0xD5,0xE0,0xCC,0xD6,0xE0,0xCD,0xD7,0xE1,0xCE,0xD8,
0xE2,0xCF,0xD9,0xE2,0xD0,0xD9,0xE3,0xD1,0xDA,0xE3,0xD2,0xDB,0xE4,0xD3,0xDC,0xE5,
0xD4,0xDD,0xE5,0xD5,0xDD,0xE6,0xD6,0xDE,0xE6,0xD7,0xDF,0xE7,0xD8,0xE0,0xE8,0xD9,
0xE1,0xE8,0xDA,0xE1,0xE9,0xDB,0xE2,0xE9,0xDC,0xE3,0xEA,0xDD,0xE4,0xEB,0xDE,0xE5,
0xEB,0xDF,0xE5,0xEC,0xE0,0xE6,0xEC,0xE1,0xE7,0xED,0xE2,0xE8,0xEE,0xE3,0xE9,0xEE,
0xE4,0xE9,0xEF,0xE5,0xEA,0xEF,0xE6,0xEB,0xF0,0xE7,0xEC,0xF1,0xE8,0xED,0xF1,0xEA,
0xEE,0xF2,0xEB,0xEF,0xF3,0xEC,0xF0,0xF4,0xED,0xF1,0xF4,0xEE,0xF1,0xF5,0xEF,0xF2,
0xF5,0xF0,0xF3,0xF6,0xF1,0xF4,0xF7,0xF2,0xF5,0xF7,0xF3,0xF5,0xF8,0xF4,0xF6,0xF8,
0xF5,0xF7,0xF9,0xF6,0xF8,0xFA,0xF7,0xF9,0xFA,0xF8,0xF9,0xFB,0xF9,0xFA,0xFB,0xFA,
0xFB,0xFC,0xFB,0xFC,0xFD,0xFC,0xFD,0xFD,0xFD,0xFD,0xFE,0xFE,0xFE,0xFE,0xFF,0xFF,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x2C,0x00,0x00,
0x00,0x00,0x82,0x00,0x28,0x00,0x00,0x08,0xFF,0x00,0x01,0x08,0x1C,0x48,0xB0,0xA0,
0x40,0x0C,0x9E,0x66,0x18,0x5C,0xC8,0xB0,0xA1,0xC3,0x87,0x10,0x23,0x4A,0x9C,0x48,
0xD1,0xA0,0xA1,0x75,0xD7,0x3A,0x54,0xDC,0xC8,0xB1,0xA3,0xC7,0x8F,0x0C,0x83,0xA4,
0x5B,0x37,0xE8,0x00,0xC8,0x93,0x28,0x53,0xA6,0x8C,0x40,0x6C,0xDD,0x2A,0x93,0x2A,
0x63,0xCA,0x9C,0xE9,0x50,0xD0,0x3A,0x6D,0x25,0x68,0xEA,0xDC,0x29,0x73,0xC7,0xB9,
0x75,0x6C,0x78,0x0A,0x1D,0xDA,0xD1,0xC1,0xAF,0x75,0xC6,0x18,0x10,0x5D,0xCA,0xF4,
0x21,0x9F,0x75,0xEB,0xC0,0x34,0x9D,0x4A,0x55,0xA0,0x8D,0x72,0xEB,0xA2,0x41,0xA8,
0xCA,0x55,0x65,0x88,0x09,0x0C,0x17,0xF0,0x82,0x1A,0x28,0x66,0x80,0x82,0x01,0x04,
0x08,0xA0,0x28,0x60,0x41,0x83,0x04,0x5D,0x0B,0x0E,0x70,0xAB,0x60,0x80,0xC0,0x2B,
0xD2,0xE4,0x30,0xA4,0x03,0x75,0x5D,0x8F,0x88,0x14,0x1E,0x55,0xAA,0x54,0xA3,0xE0,
0x8F,0xC1,0x99,0xE8,0x14,0x00,0x40,0xA0,0x8F,0xA8,0x54,0xAD,0x5C,0xB9,0x22,0x95,
0xC8,0x0B,0x07,0x87,0x33,0xF8,0xC0,0x6A,0x46,0xCD,0xD8,0xA8,0x36,0x23,0x16,0x0A,
0x19,0x5C,0x89,0x11,0x05,0x83,0x23,0x26,0x55,0x92,0xE4,0x81,0xE0,0x13,0xD2,0xB0,
0x07,0xBB,0x31,0x88,0x23,0x90,0x2C,0x67,0xD4,0x94,0xC9,0xF2,0x53,0x60,0xD4,0xBA,
0x69,0x16,0x0C,0xC6,0x18,0x07,0x35,0x5A,0x83,0x88,0x20,0xFA,0x5A,0x21,0x48,0x82,
0x1A,0x54,0x73,0x3A,0x04,0x1A,0x38,0xD6,0xB7,0xFA,0x6F,0x2D,0x0B,0x39,0x48,0xFA,
0x69,0x7D,0x1D,0xB6,0x36,0x67,0x09,0xA6,0xFF,0xA9,0xFE,0xC7,0xA0,0x8C,0xBE,0x2C,
0x08,0xEE,0xE9,0xDE,0xF7,0x15,0xC1,0x07,0x8D,0x46,0x5A,0x2F,0x66,0xA0,0x04,0xB7,
0x75,0x6F,0x0A,0x26,0xB8,0xD5,0xB7,0x93,0x44,0x0F,0xE0,0x40,0x35,0xC5,0x40,0x0B,
0xC8,0x02,0x15,0x3A,0x4C,0x0C,0x64,0x40,0x2F,0x50,0x9D,0x13,0x4E,0x38,0xEA,0x54,
0x87,0x44,0x41,0x25,0x08,0x53,0x1D,0x39,0xC4,0x55,0x27,0x48,0x41,0x63,0x5C,0xF8,
0x42,0x41,0x2F,0xFC,0x54,0xCE,0x0A,0x04,0xD5,0xC1,0x1E,0x54,0xA4,0x0C,0x44,0x80,
0x26,0x7D,0xA1,0x33,0x4D,0x33,0xDB,0xA4,0x23,0xCB,0x59,0x77,0xAC,0x23,0xCD,0x69,
0x02,0x05,0x20,0x47,0x75,0x75,0xFC,0x17,0xE0,0x3A,0x03,0x0A,0x84,0x48,0x5F,0xF9,
0x29,0xC8,0xE0,0x3A,0x89,0x7C,0x10,0xC2,0x0E,0x8B,0xB4,0x67,0x97,0x40,0x10,0xE8,
0xD2,0x57,0x2A,0x52,0xA0,0x60,0xC2,0x11,0x92,0x54,0x47,0x05,0x41,0x1D,0x56,0xD7,
0x0A,0x01,0x04,0x85,0xB8,0xCE,0x88,0x25,0x42,0xD5,0x8C,0x10,0x3B,0xA4,0x99,0x26,
0x89,0x02,0x29,0xD1,0x17,0x29,0x32,0x38,0xB0,0x40,0x05,0x36,0x0C,0x71,0x16,0x06,
0xD6,0xAC,0xD3,0xC6,0x40,0x03,0xBC,0x52,0xDD,0x72,0x11,0x01,0x28,0xA0,0x40,0x61,
0xF4,0xF5,0x48,0x41,0x0B,0x42,0x85,0x07,0x41,0x9F,0x40,0xD5,0x4D,0x70,0x02,0xE1,
0xD1,0x17,0x1F,0x60,0x12,0xF4,0x85,0x7C,0xC9,0x1C,0x27,0x50,0x97,0xD5,0x61,0x37,
0x90,0x98,0x64,0x0E,0x64,0xE2,0x3A,0xC0,0x38,0xD4,0x08,0x54,0xD3,0xE0,0xB8,0x10,
0x20,0xEB,0x3C,0x23,0xC1,0x40,0x68,0x54,0xFF,0xF7,0x83,0x8F,0x83,0xDA,0x10,0x0E,
0x54,0xB2,0x28,0x45,0x50,0xA2,0xEB,0xE8,0x41,0x50,0xAC,0xEB,0x8C,0x13,0x1A,0x00,
0x19,0x64,0x03,0xD5,0x29,0xE1,0x15,0x34,0x49,0x5F,0x09,0x6E,0x0A,0xD5,0x8F,0x59,
0x5D,0xF0,0xA9,0x88,0x6C,0x0A,0x34,0xAA,0x30,0x08,0x34,0x64,0x0A,0x54,0xB9,0x38,
0xD4,0x82,0x39,0x40,0x0D,0x24,0xC2,0xAD,0xEB,0x9C,0xF3,0x61,0xA0,0x3F,0x26,0x41,
0x81,0x32,0x50,0x39,0x13,0x82,0x41,0xBC,0xFA,0x3A,0x50,0x1E,0x50,0x65,0xF3,0x2A,
0x00,0x5A,0x40,0xA5,0x8E,0x0F,0x0C,0xC9,0x80,0x0E,0x54,0x84,0x0C,0xD4,0x65,0x2C,
0xAA,0xF4,0x15,0xB0,0x40,0xA0,0x56,0x0B,0xC0,0xB5,0x8B,0x31,0xC4,0x09,0x54,0xE1,
0xCC,0xCA,0x90,0x00,0xB6,0xB4,0x7A,0x2F,0x00,0xA5,0x40,0x55,0x8E,0x0A,0xB4,0xAA,
0x43,0xC5,0x25,0x10,0xE7,0xB0,0x10,0xAF,0x3D,0x0A,0x74,0xC2,0x33,0x50,0x71,0x12,
0x9E,0x23,0x50,0x3D,0xB3,0x00,0x43,0x08,0xB0,0xBB,0x4E,0x2A,0xE1,0x75,0xD9,0x0A,
0x0F,0xDC,0x95,0x43,0x83,0x40,0x2E,0x50,0x5B,0xE6,0x3A,0xC3,0x2C,0x30,0xC0,0xD0,
0x43,0x27,0xCB,0x46,0x5F,0xDC,0xBC,0xB1,0x01,0x43,0x92,0xAE,0x83,0xC6,0x40,0x5C,
0x68,0x9C,0x1E,0xBA,0xE5,0xB6,0xB4,0x0E,0x39,0x59,0x30,0xC4,0x6B,0x27,0x47,0x30,
0x71,0x47,0x34,0x50,0x7D,0xE3,0x82,0x40,0x03,0xCC,0x02,0x15,0x2A,0x0E,0x6D,0x4B,
0x2A,0x4C,0x5D,0xF2,0x02,0xC0,0xA9,0xB8,0x1A,0x00,0xC0,0xB7,0x63,0x2A,0x3C,0xAA,
0x38,0xB5,0xCC,0xA2,0xB7,0xDE,0x4D,0x0C,0xFF,0x84,0x01,0x75,0x7D,0x55,0x63,0x88,
0x0C,0x06,0x1D,0x01,0x15,0x33,0x5B,0x11,0xBB,0xCD,0x3A,0xE9,0xD8,0x40,0x6B,0x75,
0xA1,0x34,0xC4,0x6B,0x77,0xCB,0x10,0x31,0x50,0x02,0xC6,0x40,0x95,0x89,0x43,0x20,
0xAF,0x93,0x0C,0x5C,0x00,0x74,0x19,0x4C,0x00,0x1D,0x5C,0xD3,0x57,0x18,0x00,0xA8,
0x80,0x55,0xA8,0xD6,0x9E,0xE8,0x34,0x41,0x29,0xD4,0x62,0x9D,0x39,0x90,0x2C,0x3D,
0xD0,0x07,0xE2,0x40,0x45,0xC6,0x40,0x9D,0x2B,0x41,0x2B,0x3A,0xE4,0x6E,0x23,0x31,
0xBC,0x47,0xB6,0x48,0x8A,0x1A,0x19,0x10,0x94,0x00,0x32,0x50,0xF9,0xD7,0x10,0x26,
0x50,0x0D,0x93,0x6D,0xE8,0x50,0x15,0x93,0xED,0x19,0x7D,0x51,0x53,0x81,0x08,0xE4,
0xD4,0xFD,0x73,0x3A,0xDE,0x84,0x2F,0x7E,0x17,0x05,0x2D,0x20,0x86,0x94,0xD5,0xED,
0x82,0xC1,0xE5,0xCB,0x40,0x95,0x8C,0x03,0x02,0x41,0x01,0x95,0x19,0xB4,0xA6,0x33,
0x47,0x32,0x50,0x49,0x43,0xC2,0xC8,0x47,0x9A,0xCE,0xF8,0x1A,0xF0,0x1A,0xCB,0x3A,
0x64,0xB1,0x16,0x86,0xC0,0x02,0x2A,0xAC,0xA8,0x19,0x54,0x8E,0x01,0x17,0x04,0xE0,
0xA2,0x2F,0x7F,0xD0,0x40,0xEE,0x58,0xB7,0x30,0xA8,0x18,0xA3,0x03,0x17,0xC8,0x60,
0x06,0x15,0xB0,0x90,0x03,0x04,0xA1,0x12,0xF2,0x59,0x47,0x79,0x04,0x22,0x80,0x03,
0x42,0x65,0x0C,0x02,0x91,0x40,0x35,0xD6,0x71,0x88,0xC7,0x15,0x01,0x08,0x11,0x5A,
0x07,0x2D,0x74,0xB5,0xAB,0x23,0xF5,0xC1,0x12,0x50,0x21,0x47,0x10,0x0C,0x12,0x0A,
0xA8,0x5C,0x23,0x02,0x0C,0xB1,0x80,0x36,0xFF,0xA0,0x52,0x08,0x81,0x2D,0x10,0x74,
0x3C,0x90,0xCF,0x37,0x92,0x90,0x27,0x0A,0x8E,0x2A,0x18,0x4F,0x92,0x88,0x12,0xBC,
0x01,0x15,0x64,0x10,0x04,0x14,0x7D,0x49,0x46,0xE2,0x4E,0xA5,0x8B,0x28,0x3A,0x44,
0x50,0xEB,0x88,0x02,0x00,0xFE,0xD0,0x17,0x45,0x10,0x0F,0x2A,0x70,0xC0,0xC0,0x0A,
0x5B,0xD5,0x1A,0x82,0xD0,0x0B,0x2A,0xBE,0x5B,0xC8,0x17,0x98,0x65,0xC4,0x75,0x30,
0x70,0x20,0x90,0xE8,0x4B,0x2B,0xB0,0xE1,0x3D,0x51,0x41,0x05,0x5B,0x15,0x79,0x84,
0xA3,0x08,0x02,0xBD,0xD3,0x09,0xC4,0x08,0x63,0xCA,0x09,0x44,0xC0,0x38,0xA0,0x04,
0xC4,0xA2,0x2F,0xBB,0xAB,0x21,0x54,0x7C,0xF5,0x84,0xBE,0x98,0x42,0x6E,0x03,0xE1,
0x41,0x5F,0x64,0xD1,0x30,0x82,0x70,0xA0,0x19,0xEE,0xD3,0x14,0xF5,0xEC,0x08,0x3A,
0x00,0x7C,0x20,0x4F,0xD5,0x71,0xE2,0x1F,0xA7,0x37,0x91,0x42,0x40,0x05,0x1A,0x04,
0x61,0x51,0x5F,0x8C,0x20,0x90,0x06,0xA0,0x2C,0x92,0x0F,0x61,0xA4,0xC9,0xF8,0x78,
0x35,0x7E,0x19,0x69,0x92,0x42,0xEA,0xCB,0x1D,0x76,0xF5,0x40,0xA8,0x30,0x02,0x88,
0x03,0x41,0x81,0xEC,0xA0,0x92,0xB5,0x3A,0xDE,0x71,0x20,0x65,0xB0,0x8E,0x2A,0xD7,
0xF1,0x0B,0x87,0x10,0xC0,0x8B,0x00,0x10,0x81,0x33,0xA0,0xB2,0x09,0x82,0x90,0x62,
0x4A,0x05,0x04,0x00,0x21,0xD6,0x11,0x8B,0x64,0x35,0x44,0x97,0x02,0x91,0x42,0x5F,
0x9E,0xF1,0x2E,0xE9,0x1C,0x49,0x5E,0x10,0xF0,0xC5,0x81,0x26,0x34,0x90,0x1F,0xFC,
0x2B,0x7A,0x79,0xC0,0x42,0x17,0x12,0x31,0xFF,0x44,0xA8,0x50,0x22,0x9C,0xA3,0x7C,
0xA6,0x40,0x0E,0xC0,0x9F,0xBE,0x4C,0xD3,0x1A,0x79,0xA8,0x83,0x42,0x15,0x5A,0x85,
0x81,0xC4,0x20,0x16,0x7C,0xC8,0xC2,0x11,0x96,0x10,0x87,0xF6,0x41,0x65,0x78,0x04,
0xC8,0x85,0xBE,0x80,0x40,0x10,0x1D,0x30,0x2E,0x3A,0xB9,0xFC,0x51,0x90,0x04,0x32,
0x88,0xF6,0xBC,0x0C,0x00,0xF1,0x72,0x28,0xB9,0xA8,0x21,0x02,0x2E,0x85,0x90,0x3D,
0x98,0xA0,0xA1,0xB3,0x48,0x59,0x90,0x1D,0xDC,0xB3,0x8F,0xAD,0x3B,0x51,0x2C,0x06,
0x22,0x04,0xD7,0xD1,0x81,0x20,0x0E,0x58,0xA3,0x2A,0xCC,0x79,0x80,0x96,0x78,0x02,
0xA0,0x0B,0x49,0x0E,0x54,0x00,0x55,0xCB,0x62,0xAE,0x83,0x12,0x70,0x31,0x00,0xFE,
0xD6,0x51,0x96,0x81,0xA8,0xA1,0x2F,0xB9,0x50,0x15,0x00,0x90,0x80,0x3E,0xEB,0x2C,
0x83,0x0C,0xD8,0x04,0xC0,0x78,0x7E,0xC3,0xC1,0x82,0x08,0xB2,0x2F,0x2D,0x50,0x8F,
0xEB,0x5C,0x31,0x10,0x27,0xB0,0x27,0x19,0x5B,0x28,0x88,0x0A,0xC0,0xB5,0x0E,0x21,
0x18,0xC4,0x0E,0xAD,0x00,0x82,0x39,0x17,0xE2,0x80,0x31,0xA0,0x01,0x0D,0x27,0x28,
0x08,0x09,0xFE,0x9A,0x86,0x35,0xAC,0x6F,0x00,0x55,0xF8,0xEB,0x0D,0x08,0x32,0x00,
0x2E,0xFC,0xD5,0x0D,0x8A,0x1C,0x08,0x02,0x82,0x30,0x87,0x48,0x70,0xC2,0x12,0x7D,
0x78,0x02,0x58,0x16,0xC2,0x82,0xBF,0x62,0xA1,0x52,0x04,0xC9,0xC0,0x19,0xFE,0x6A,
0x06,0x48,0x09,0x84,0x06,0x7F,0x4D,0xAD,0x6A,0x97,0x30,0x90,0x0E,0x8C,0x41,0x10,
0x95,0xE8,0x44,0x25,0xF8,0xF0,0x84,0x8B,0x5A,0x0D,0xC4,0x0A,0x50,0x71,0x05,0x52,
0x01,0x50,0x97,0xB8,0xF8,0xF6,0x24,0x8A,0x80,0x0A,0x2D,0x7F,0x4B,0x5C,0x95,0x30,
0x00,0x94,0xB1,0x08,0x6B,0x71,0x97,0xBB,0x91,0x24,0x40,0x85,0x9E,0xCC,0x8D,0x2E,
0x47,0x44,0x41,0x4E,0xE5,0x4A,0xF7,0xBA,0x0D,0x81,0xC1,0x4F,0x92,0x80,0xDD,0xEE,
0x46,0xA4,0x51,0xB5,0x00,0xAD,0x77,0xC7,0x5B,0x10,0xF9,0xAD,0xA3,0x59,0xE4,0x4D,
0xEF,0x40,0x58,0xB1,0x8E,0x5B,0x74,0x52,0xBD,0xE9,0x15,0x41,0x25,0x9E,0x00,0xDF,
0xFA,0x06,0x04,0x00,0x3B,0x00
};
#endif


#endif
